headless
List headless imports
Returns a paginated list of headless imports for the authenticated Dromo organization.
GET
/
headless
/
imports
/
List headless imports
curl --request GET \
--url https://app.dromo.io/api/v1/headless/imports/ \
--header 'X-Dromo-License-Key: <api-key>'import requests
url = "https://app.dromo.io/api/v1/headless/imports/"
headers = {"X-Dromo-License-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Dromo-License-Key': '<api-key>'}};
fetch('https://app.dromo.io/api/v1/headless/imports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.dromo.io/api/v1/headless/imports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Dromo-License-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.dromo.io/api/v1/headless/imports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Dromo-License-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.dromo.io/api/v1/headless/imports/")
.header("X-Dromo-License-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.dromo.io/api/v1/headless/imports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Dromo-License-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 75,
"next": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"previous": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"results": [
{
"id": "94187d21-9820-420f-b08c-a80cbbf52604",
"schema_id": "94187d21-9820-420f-b08c-a80cbbf52604",
"status": "AWAITING_UPLOAD",
"original_filename": "user_data.csv",
"created_date": "2023-11-07T05:31:56Z",
"modified_date": "2023-11-07T05:31:56Z"
}
]
}Authorizations
This backend API key is different than your frontend license key. Please use the "Backend" license key from your Dromo Dashboard.
Query Parameters
Response
200 - application/json
List headless imports
⌘I
List headless imports
curl --request GET \
--url https://app.dromo.io/api/v1/headless/imports/ \
--header 'X-Dromo-License-Key: <api-key>'import requests
url = "https://app.dromo.io/api/v1/headless/imports/"
headers = {"X-Dromo-License-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Dromo-License-Key': '<api-key>'}};
fetch('https://app.dromo.io/api/v1/headless/imports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.dromo.io/api/v1/headless/imports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Dromo-License-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.dromo.io/api/v1/headless/imports/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Dromo-License-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.dromo.io/api/v1/headless/imports/")
.header("X-Dromo-License-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.dromo.io/api/v1/headless/imports/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Dromo-License-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 75,
"next": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"previous": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"results": [
{
"id": "94187d21-9820-420f-b08c-a80cbbf52604",
"schema_id": "94187d21-9820-420f-b08c-a80cbbf52604",
"status": "AWAITING_UPLOAD",
"original_filename": "user_data.csv",
"created_date": "2023-11-07T05:31:56Z",
"modified_date": "2023-11-07T05:31:56Z"
}
]
}